Skip to content

getOpportunity

READ

Get opportunity.

POST /api/v1/sales/getOpportunity
curl -X POST '<your-host>/api/v1/sales/getOpportunity' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "opportunityId": "string"
  }'
Response
{
  "id": "string",
  "companyId": "string",
  "purchaseOrderDocumentPath": "string",
  "requestForQuoteDocumentPath": "string",
  "salesRfqs": [
    {
      "…": "…"
    }
  ],
  "quotes": [
    {
      "…": "…"
    }
  ],
  "salesOrders": [
    {
      "…": "…"
    }
  ]
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "opportunityId": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "opportunityId"
  ]
}